You are not logged in.

#1 2019-12-23 07:41:49

taiongh
Member
Registered: 2018-10-04
Posts: 27

[SOLVED]install xorgproto break dependent

The problem is solved. The answer is #14.


Hi, I'm having a problem upgrading the system.

Upgrade the system today

[taizongh@leccesg ~]$ sudo pacman  -Syu
[sudo] taizongh 的密码:
:: 正在同步软件包数据库...
 core 已经是最新版本
 extra 已经是最新版本    0.0   B  0.00   B/s 00:00 [----------------------]   0%
 community 已经是最新版本0.0   B  0.00   B/s 00:00 [----------------------]   0%
 multilib-testing 已经是最新版本
:: 正在进行全面系统更新...
正在解析依赖关系...
正在查找软件包冲突...
错误:无法准备事务处理 (无法满足依赖关系)
:: 安装 xorgproto (2019.2-2) 破坏依赖 'inputproto' (lib32-libxi 需要)

translation:


[taizongh@leccesg ~]$sudo pacman-syu

[sudo] taizongh's password:

:: synchronizing software package database...

Core is the latest version

Extra is the latest version 0.0 B 0.00 B/s 00:00 [-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --] 0%

Community is the latest version 0.0 B 0.00 B/s 00:00 [-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --] 0%

Multilib-testing is the latest version

... is undergoing a comprehensive system update...

Resolving dependencies...

Looking for package conflicts...

Error: unable to prepare transactions (unable to satisfy dependencies)

:: install xorgproto (2019.2-2) break dependent on 'inputproto' (lib32-libxi needs)


I tried to uninstall inputproto:

[taizongh@leccesg ~]$ sudo pacman  -Rscn inputproto
[sudo] taizongh 的密码:
错误:未找到目标:inputproto

translation:

[taizongh@leccesg ~]$sudo pacman-rscn inputproto

[sudo] taizongh's password:

Error: target not found: inputproto

“xorgproto" or "lib32-libxi" seem to be important system files that cannot be unmounted.
How can I upgrade normally?

Last edited by taiongh (2019-12-24 04:35:32)

Offline

#2 2019-12-23 07:54:11

10PinkPanther
Member
From: Croatia
Registered: 2012-11-10
Posts: 354

Re: [SOLVED]install xorgproto break dependent

Answer is on the home page.

Last edited by 10PinkPanther (2019-12-23 07:54:28)

Offline

#3 2019-12-23 10:58:14

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

10PinkPanther wrote:

Answer is on the home page.


Thanks!

Offline

#4 2019-12-23 11:03:02

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

10PinkPanther wrote:

Answer is on the home page.

Sorry I performed:

[taizongh@leccesg ~]$sudo pacman-rdd libdmx libxxf86dga libxxf86misc & pacman-syu

Error: target not found: libdmx

Error: target not found: libxxf86dga

Error: target not found: libxxf86misc

The upgrade was still unsuccessful.Do you know what you need to do?

Offline

#5 2019-12-23 11:58:29

seth
Member
Registered: 2012-09-03
Posts: 13,654

Re: [SOLVED]install xorgproto break dependent

"pacman-rdd" isn't a command, please generate output using "LC_ALL=C pacman -Rdd …".

On topic: pacman -Rdd libxi and lib32-libxi as well.

Offline

#6 2019-12-23 13:01:00

loqs
Member
Registered: 2014-03-06
Posts: 9,764

Re: [SOLVED]install xorgproto break dependent

@seth libxi and lib32-libxi were updated to drop the inputproto dependency in 1.7.10-2.
Edit:
@taiongh what is the output of

LC_ALL=C pacman -Si lib32-libxi

Last edited by loqs (2019-12-23 13:18:24)

Online

#7 2019-12-23 13:25:05

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

seth wrote:

"pacman-rdd" isn't a command, please generate output using "LC_ALL=C pacman -Rdd …".

On topic: pacman -Rdd libxi and lib32-libxi as well.

Output:

[taizongh@leccesg ~]$ sudo LC_ALL=C pacman -Rdd libxi lib32-libxi
[sudo] taizongh password:

Packages (2) lib32-libxi-1.7.9-2  libxi-1.7.10-1

Total Removed Size:  0.60 MiB

:: Do you want to remove these packages? [Y/n] 

Offline

#8 2019-12-23 13:26:32

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

loqs wrote:

@seth libxi and lib32-libxi were updated to drop the inputproto dependency in 1.7.10-2.
Edit:
@taiongh what is the output of

LC_ALL=C pacman -Si lib32-libxi

Output:

[taizongh@leccesg ~]$ sudo LC_ALL=C pacman -Si lib32-libxi
error: package 'lib32-libxi' was not found

Offline

#9 2019-12-23 13:31:33

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,389
Website

Re: [SOLVED]install xorgproto break dependent

Why do you have the multilib-testing repo enabled when you don't have multilib or regular testing enabled?


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Online

#10 2019-12-23 14:37:13

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

WorMzy wrote:

Why do you have the multilib-testing repo enabled when you don't have multilib or regular testing enabled?

Excuse me, can you tell me what you should do? thank you.

Offline

#11 2019-12-23 15:03:05

archimboldo
Member
Registered: 2016-03-07
Posts: 162

Re: [SOLVED]install xorgproto break dependent

taiongh wrote:
WorMzy wrote:

Why do you have the multilib-testing repo enabled when you don't have multilib or regular testing enabled?

Excuse me, can you tell me what you should do? thank you.

Please read
https://wiki.archlinux.org/index.php/Of … positories

Last edited by archimboldo (2019-12-23 15:10:24)


Rules for problems.
Everyone has problems. Animals have problems. And buildings. And cats, and trees.
Problems are your friends. Treat them well.

Offline

#12 2019-12-23 15:25:22

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,389
Website

Re: [SOLVED]install xorgproto break dependent

taiongh wrote:
WorMzy wrote:

Why do you have the multilib-testing repo enabled when you don't have multilib or regular testing enabled?

Excuse me, can you tell me what you should do? thank you.

Answer the question for a start.

You have packages from multilib installed, but you don't have the multilib repo enabled. Presumably you enabled it at some point, installed stuff from it, then disabled it again at a later date. This is Bad because you will end up with partial upgrades. To make things worse, you are cherry-picking testing repos, this is also Bad, for the reasons documented in the link archimboldo posted.

Why are your repositories like this? What were you trying to do?


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Online

#13 2019-12-24 03:50:33

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

WorMzy wrote:
taiongh wrote:
WorMzy wrote:

Why do you have the multilib-testing repo enabled when you don't have multilib or regular testing enabled?

Excuse me, can you tell me what you should do? thank you.

Answer the question for a start.

You have packages from multilib installed, but you don't have the multilib repo enabled. Presumably you enabled it at some point, installed stuff from it, then disabled it again at a later date. This is Bad because you will end up with partial upgrades. To make things worse, you are cherry-picking testing repos, this is also Bad, for the reasons documented in the link archimboldo posted.

Why are your repositories like this? What were you trying to do?


I just installed steam and needed multilib according to the wiki(https://wiki.archlinux.org/index.php/Steam).
I didn't touch the multilib Settings after that.

Offline

#14 2019-12-24 04:31:45

taiongh
Member
Registered: 2018-10-04
Posts: 27

Re: [SOLVED]install xorgproto break dependent

The problem seems to be solved at present. Here are the solutions:

1. Solution process:
According to the reminder of 10PinkPanther, it is found that this upgrade may have this problem on the home page, but the

 pacman-rdd libdmx libxxf86dga libxxf86misc && pacman-syu 

on the home page cannot solve the problem.
I was prompted that lib32-libxi was in conflict, so I executed

 pacman-rdd lib32-libxi && pacman-syu 

.
Remove lib32-libxi, and then upgrade successfully. Then I tried to install lib32-libxi back, but I couldn't find the package.
From WorMzy's alert, I noticed that the Multilib library had become multilib-testing at some point.
After resetting, execute

 pacman-syu 

, and then you can install lib32-libxi.

2. Cause analysis:
It should be the Multilib library that becomes multilib-testing. I have not noticed this problem, which has resulted in incomplete system upgrades, leading to the failure of lib32-libxi.

Finally, thanks to each carefully answered the friends! Good to have you!

Offline

#15 2019-12-24 07:08:02

archimboldo
Member
Registered: 2016-03-07
Posts: 162

Re: [SOLVED]install xorgproto break dependent

Good. PEBKAC mistery solved.


Rules for problems.
Everyone has problems. Animals have problems. And buildings. And cats, and trees.
Problems are your friends. Treat them well.

Offline

Board footer

Powered by FluxBB